Skip to content

Start building

Jump toCloud
All endpoints

Cloud

AWS, Azure and Google Cloud services and their operations.

get/v1/cloud_providers

List cloud providers

Needs connection.view

The cloud families this release carries (a family not built in is left out).

Response200

  • objectstring
    list
  • dataCloudProvider[]
    9 fields
    • idstring
    • objectstring
      cloud_provider
    • categoriesmap<string, integer>
    • connectorstring
    • connectorsstring[]
    • namestring
    • operationsinteger
    • servicesinteger
    • sourcestring
  • has_moreboolean
  • next_cursorstring or null
  • facetsmap<string, map<string, integer>> or null
  • peoplemap<string, ActorRef> or null
    5 fields
    • idstring or null
    • kindstring
      One ofuserapi_keyservice_accountworkloadend_usersystem
    • namestring or null
    • avatar_versionstring or null
    • emailstring or null
  • total_countinteger or null
  • total_count_exactboolean or null

Status codes

  • 200Successful Response
  • 4XXThe request was refused: the problem says why.
  • 5XXThe API could not answer: the problem says why.
Request
curl "https://api.mydeepagents.com/v1/cloud_providers" \
  -H "Authorization: Bearer $MDA_API_KEY"
Response · 200
JSON
{
  "object": "list",
  "data": [
    {
      "id": "id",
      "object": "cloud_provider",
      "categories": {
        "key": 2
      },
      "connector": "slack",
      "connectors": [
        "slack"
      ],
      "name": "Support triage",
      "operations": 2,
      "services": 2,
      "source": "source"
    }
  ],
  "has_more": false,
  "next_cursor": null,
  "total_count": 1
}
get/v1/cloud_providers/{provider_id}/operations

Search cloud operations

Needs connection.view

The operations that best match q (every word must match; synonyms count).

Path parameters

  • provider_idstringRequired

Query parameters

  • qstringRequired
    at least 1 charactersat most 200 characters
  • servicestring
    at most 64 characters
  • side_effectsstring
    One ofreadwritedestructive
  • limitinteger
    Default25at least 1at most 100

Response200

  • objectstring
    list
  • dataCloudOperation[]
    14 fields
    • objectstring
      cloud_operation
    • deprecatedboolean
    • methodstring
    • namestring
    • paginatedboolean
    • providerstring
    • run_withstring
    • sensitiveboolean
    • servicestring
    • side_effectsstring
      One ofreadwritedestructive
    • summarystring
    • titlestring
    • unsupportedstring or null
    • hidden_fieldsstring[]
  • has_moreboolean
  • next_cursorstring or null
  • facetsmap<string, map<string, integer>> or null
  • peoplemap<string, ActorRef> or null
    5 fields
    • idstring or null
    • kindstring
      One ofuserapi_keyservice_accountworkloadend_usersystem
    • namestring or null
    • avatar_versionstring or null
    • emailstring or null
  • total_countinteger or null
  • total_count_exactboolean or null

Status codes

  • 200Successful Response
  • 422The request is not valid: errors[] names each field.
  • 4XXThe request was refused: the problem says why.
  • 5XXThe API could not answer: the problem says why.
Request
curl "https://api.mydeepagents.com/v1/cloud_providers/{provider_id}/operations?limit=20" \
  -H "Authorization: Bearer $MDA_API_KEY"
Response · 200
JSON
{
  "object": "list",
  "data": [
    {
      "object": "cloud_operation",
      "deprecated": true,
      "hidden_fields": [
        "hidden field"
      ],
      "method": "method",
      "name": "Support triage",
      "paginated": true,
      "provider": "anthropic",
      "run_with": "run with",
      "sensitive": true,
      "service": "service",
      "side_effects": "read",
      "summary": "summary",
      "title": "Support triage",
      "unsupported": "unsupported"
    }
  ],
  "has_more": false,
  "next_cursor": null,
  "total_count": 1
}
get/v1/cloud_providers/{provider_id}/services

List cloud services

Needs connection.view

Path parameters

  • provider_idstringRequired

Query parameters

  • categorystring
    One ofcomputecontainersserverlessstoragedatabasenetworkingsecurityidentityanalyticsaiintegrationdevtoolsmanagementmonitoringmediaiotmigrationbusinessother

Response200

  • objectstring
    list
  • dataCloudService[]
    10 fields
    • idstring
    • objectstring
      cloud_service
    • categorystring
      One ofcomputecontainersserverlessstoragedatabasenetworkingsecurityidentityanalyticsaiintegrationdevtoolsmanagementmonitoringmediaiotmigrationbusinessother
    • docs_urlstring or null
    • namestring
    • operationsinteger
    • providerstring
    • regionalboolean
    • summarystring
    • versionstring
  • has_moreboolean
  • next_cursorstring or null
  • facetsmap<string, map<string, integer>> or null
  • peoplemap<string, ActorRef> or null
    5 fields
    • idstring or null
    • kindstring
      One ofuserapi_keyservice_accountworkloadend_usersystem
    • namestring or null
    • avatar_versionstring or null
    • emailstring or null
  • total_countinteger or null
  • total_count_exactboolean or null

Status codes

  • 200Successful Response
  • 422The request is not valid: errors[] names each field.
  • 4XXThe request was refused: the problem says why.
  • 5XXThe API could not answer: the problem says why.
Request
curl "https://api.mydeepagents.com/v1/cloud_providers/{provider_id}/services" \
  -H "Authorization: Bearer $MDA_API_KEY"
Response · 200
JSON
{
  "object": "list",
  "data": [
    {
      "id": "id",
      "object": "cloud_service",
      "category": "compute",
      "docs_url": "https://example.com",
      "name": "Support triage",
      "operations": 2,
      "provider": "anthropic",
      "regional": true,
      "summary": "summary",
      "version": "version"
    }
  ],
  "has_more": false,
  "next_cursor": null,
  "total_count": 1
}
get/v1/cloud_providers/{provider_id}/services/{service_id}

Get cloud service

Needs connection.view

Path parameters

  • provider_idstringRequired
  • service_idstringRequired

Response200

  • idstring
  • objectstring
    cloud_service
  • categorystring
    One ofcomputecontainersserverlessstoragedatabasenetworkingsecurityidentityanalyticsaiintegrationdevtoolsmanagementmonitoringmediaiotmigrationbusinessother
  • docs_urlstring or null
  • namestring
  • operation_listCloudOperation[]
    14 fields
    • objectstring
      cloud_operation
    • deprecatedboolean
    • methodstring
    • namestring
    • paginatedboolean
    • providerstring
    • run_withstring
    • sensitiveboolean
    • servicestring
    • side_effectsstring
      One ofreadwritedestructive
    • summarystring
    • titlestring
    • unsupportedstring or null
    • hidden_fieldsstring[]
  • operationsinteger
  • providerstring
  • regionalboolean
  • summarystring
  • versionstring

Status codes

  • 200Successful Response
  • 422The request is not valid: errors[] names each field.
  • 4XXThe request was refused: the problem says why.
  • 5XXThe API could not answer: the problem says why.
Request
curl "https://api.mydeepagents.com/v1/cloud_providers/{provider_id}/services/s3" \
  -H "Authorization: Bearer $MDA_API_KEY"
Response · 200
JSON
{
  "id": "id",
  "object": "cloud_service",
  "category": "compute",
  "docs_url": "https://example.com",
  "name": "Support triage",
  "operation_list": [
    {
      "object": "cloud_operation",
      "deprecated": true,
      "hidden_fields": [
        "hidden field"
      ],
      "method": "method",
      "name": "Support triage",
      "paginated": true,
      "provider": "anthropic",
      "run_with": "run with",
      "sensitive": true,
      "service": "service",
      "side_effects": "read",
      "summary": "summary",
      "title": "Support triage",
      "unsupported": "unsupported"
    }
  ],
  "operations": 2,
  "provider": "anthropic",
  "regional": true,
  "summary": "summary",
  "version": "version"
}
get/v1/cloud_providers/{provider_id}/services/{service_id}/operations/{operation}

Get cloud operation

Needs connection.view

Path parameters

  • provider_idstringRequired
  • service_idstringRequired
  • operationstringRequired

Response200

  • objectstring
    cloud_operation
  • defaultsmap<string, string>
  • deprecatedboolean
  • descriptionstring
  • docs_urlstring or null
  • input_schemaobject

    Any JSON object.

  • methodstring
  • namestring
  • output_schemaobject

    Any JSON object.

  • paginatedboolean
  • providerstring
  • run_withstring
  • sensitiveboolean
  • servicestring
  • side_effectsstring
    One ofreadwritedestructive
  • summarystring
  • titlestring
  • unsupportedstring or null
  • hidden_fieldsstring[]

Status codes

  • 200Successful Response
  • 422The request is not valid: errors[] names each field.
  • 4XXThe request was refused: the problem says why.
  • 5XXThe API could not answer: the problem says why.
Request
curl "https://api.mydeepagents.com/v1/cloud_providers/{provider_id}/services/s3/operations/{operation}" \
  -H "Authorization: Bearer $MDA_API_KEY"
Response · 200
JSON
{
  "object": "cloud_operation",
  "defaults": {
    "key": "key"
  },
  "deprecated": true,
  "description": "Reads new support email and drafts a reply.",
  "docs_url": "https://example.com",
  "hidden_fields": [
    "hidden field"
  ],
  "input_schema": {},
  "method": "method",
  "name": "Support triage",
  "output_schema": {},
  "paginated": true,
  "provider": "anthropic",
  "run_with": "run with",
  "sensitive": true,
  "service": "service",
  "side_effects": "read",
  "summary": "summary",
  "title": "Support triage",
  "unsupported": "unsupported"
}

Build with us

Ready for your first call?

Early access is open. Tell us what you want your agents to do, and we will help you get your first key.